[
	{"object":"showAllBtn","settings":{"isToggle":true,"selected":false},"actions":{"click":"onClickShowAllBtn"}},
	{"object":"dg","settings":{"headerHeight":0,"rowHeight":110,"selectable":false,"resizableColumns":false},"actions":{"click":"onDGClick"}},
	{"object":"dg.verticalScrollBar","actions":{"show":"onDGChange","hide":"onDGChange"}},
	{
		"settings":{
		}
	},
	
	{
		"object":"lettersComboBox",
		"func":"init",
		"settings":{
			"items":[{"label":"A-Z","data":"*"},{"label":"A"},{"label":"B"},{"label":"C"},{"label":"D"},{"label":"E"},{"label":"F"},{"label":"G"},{"label":"H"},{"label":"I"},{"label":"J"},{"label":"K"},{"label":"L"},{"label":"M"},{"label":"N"},{"label":"O"},{"label":"P"},{"label":"Q"},{"label":"R"},{"label":"S"},{"label":"T"},{"label":"U"},{"label":"V"},{"label":"W"},{"label":"X"},{"label":"Y"},{"label":"Z"}],
			"tfObj":{"font":"KTF-Roadbrush","size":18,"color":"0xffffff"},
			"onSelect":{"getObject":"filterDP"},
			"selectedIndex":0
		}
	},
	{
		"object":"unitsComboBox",
		"func":"init",
		"settings":{
			"items":[
				{"label":"All Lessons","data":"*"},
				{"label":"Alphabet book","data":"DEMO"},
				{"label":"Words I Know","data":"DEMO"},
				{"label":"Lesson 1","data":"DEMO"},
				{"label":"Lesson 2","data":"DEMO"},
				{"label":"Lesson 3","data":"DEMO"},
				{"label":"Lesson 4","data":"DEMO"},
				{"label":"Lesson 5","data":"DEMO"},
				{"label":"Lesson 6","data":"DEMO"},
				{"label":"Lesson 7","data":"DEMO"},
				{"label":"Lesson 8","data":"DEMO"},
				{"label":"Lesson 9","data":"DEMO"},
				{"label":"Lesson 10","data":"DEMO"},
				{"label":"Lesson 11","data":"DEMO"},
				{"label":"Lesson 12","data":"DEMO"},
				{"label":"Lesson 13","data":"DEMO"},
				{"label":"Lesson 14","data":"DEMO"},
				{"label":"Lesson 15","data":"DEMO"},
				{"label":"Lesson 16","data":"DEMO"},
				{"label":"Lesson 17","data":"DEMO"},
				{"label":"Lesson 18","data":"DEMO"},
				{"label":"Lesson 19","data":"Lesson19"},
				{"label":"Lesson 20","data":"Lesson20"},
				{"label":"Lesson 21","data":"DEMO"},
				{"label":"Lesson 22","data":"DEMO"},
				{"label":"Lesson 23","data":"DEMO"},
				{"label":"Lesson 24","data":"DEMO"},
				{"label":"Lesson 25","data":"DEMO"},
				{"label":"Lesson 26","data":"DEMO"},
				{"label":"Lesson 27","data":"DEMO"},
				{"label":"Lesson 28","data":"DEMO"},
				{"label":"Lesson 29","data":"DEMO"},
				{"label":"Lesson 30","data":"DEMO"},
				{"label":"Adjectives","data":"DEMO"}
			],
			"tfObj":{"font":"KTF-Roadbrush","size":18,"color":"0xffffff"},
			"onSelect":{"getObject":"filterDP"},
			"selectedIndex":0
		}
	},
	{
		"settings":{
			"dgColumns":[
				{
					"dataField":"sndPath",
					"cellRenderer":{"getClassByAlias":"AudioCellRenderer"},
					"width":80,
					"resizable":false
				},{
					"dataField":"imgPath",
					"cellRenderer":{"getClassByAlias":"PictureCellRenderer"},
					"width":90,
					"resizable":false
				},{
					"dataField":"word",
					"width":230,
					"cellRenderer":{"getClassByAlias":"WordCellRenderer"},
					"resizable":false
				},{
					"dataField":"definition",
					"width":230,
					"cellRenderer":{"getClassByAlias":"DefinitionCellRenderer"},
					"resizable":false
				},{
					"dataField":"animPath",
					"width":95,
					"cellRenderer":{"getClassByAlias":"AnimationCellRenderer"},
					"resizable":false
				}
			]
		}
	},
	{
		"settings":{
			"dictionaries":[
				{"alias":"Alphabetbook","path":"assets/common/dictionary/Alphabetbook.json"},
				{"alias":"WordsIKnow","path":"assets/common/dictionary/WordsIKnow.json"},
				{"alias":"Lesson1","path":"assets/common/dictionary/Lesson1.json"},
				{"alias":"Lesson2","path":"assets/common/dictionary/Lesson2.json"},
				{"alias":"Lesson3","path":"assets/common/dictionary/Lesson3.json"},
				{"alias":"Lesson4","path":"assets/common/dictionary/Lesson4.json"},
				{"alias":"Lesson5","path":"assets/common/dictionary/Lesson5.json"},
				{"alias":"Lesson6","path":"assets/common/dictionary/Lesson6.json"},
				{"alias":"Lesson7","path":"assets/common/dictionary/Lesson7.json"},
				{"alias":"Lesson8","path":"assets/common/dictionary/Lesson8.json"},
				{"alias":"Lesson9","path":"assets/common/dictionary/Lesson9.json"},
				{"alias":"Lesson10","path":"assets/common/dictionary/Lesson10.json"},
				{"alias":"Lesson11","path":"assets/common/dictionary/Lesson11.json"},
				{"alias":"Lesson12","path":"assets/common/dictionary/Lesson12.json"},
				{"alias":"Lesson13","path":"assets/common/dictionary/Lesson13.json"},
				{"alias":"Lesson14","path":"assets/common/dictionary/Lesson14.json"},
				{"alias":"Lesson15","path":"assets/common/dictionary/Lesson15.json"},
				{"alias":"Lesson16","path":"assets/common/dictionary/Lesson16.json"},
				{"alias":"Lesson17","path":"assets/common/dictionary/Lesson17.json"},
				{"alias":"Lesson18","path":"assets/common/dictionary/Lesson18.json"},
				{"alias":"Lesson19","path":"assets/common/dictionary/Lesson19.json"},
				{"alias":"Lesson20","path":"assets/common/dictionary/Lesson20.json"},
				{"alias":"Lesson21","path":"assets/common/dictionary/Lesson21.json"},
				{"alias":"Lesson22","path":"assets/common/dictionary/Lesson22.json"},
				{"alias":"Lesson23","path":"assets/common/dictionary/Lesson23.json"},
				{"alias":"Lesson24","path":"assets/common/dictionary/Lesson24.json"},
				{"alias":"Lesson25","path":"assets/common/dictionary/Lesson25.json"},
				{"alias":"Lesson26","path":"assets/common/dictionary/Lesson26.json"},
				{"alias":"Lesson27","path":"assets/common/dictionary/Lesson27.json"},
				{"alias":"Lesson28","path":"assets/common/dictionary/Lesson28.json"},
				{"alias":"Lesson29","path":"assets/common/dictionary/Lesson29.json"},
				{"alias":"Lesson30","path":"assets/common/dictionary/Lesson30.json"},
				{"alias":"Adjectives","path":"assets/common/dictionary/Adjectives.json"}
			]
		}
	}	
]
